Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Virgo » Is Virgo Tooling snapshot compatible with VTS 3.0.*?
Is Virgo Tooling snapshot compatible with VTS 3.0.*? [message #809795] Wed, 29 February 2012 04:18 Go to next message
Alexey Romanov is currently offline Alexey Romanov
Messages: 263
Registered: May 2010
Senior Member
I've noticed that it only has "Virgo Web Server 2.1" and "Virgo Tomcat Server 3.5" in the "New Server" wizard. Is it still fully compatible with 3.0?

Also, is it stable enough for normal use?
Re: Is Virgo Tooling snapshot compatible with VTS 3.0.*? [message #809801 is a reply to message #809795] Wed, 29 February 2012 04:25 Go to previous messageGo to next message
Glyn Normington is currently offline Glyn Normington
Messages: 1222
Registered: July 2009
Senior Member
Virgo 3.0 is compatible with Virgo 2.1 from a tooling perspective, so the latest tooling is compatible with 3.0 if you choose 2.1. Clear as mud?

As for stability, Miles is motoring through the bug backlog so I would think there is a small risk of perturbation, depending on the quality of the regression test suite in Virgo IDE (which I can't speak for).
Re: Is Virgo Tooling snapshot compatible with VTS 3.0.*? [message #809802 is a reply to message #809801] Wed, 29 February 2012 04:27 Go to previous messageGo to next message
Alexey Romanov is currently offline Alexey Romanov
Messages: 263
Registered: May 2010
Senior Member
Thanks!
Re: Is Virgo Tooling snapshot compatible with VTS 3.0.*? [message #809810 is a reply to message #809801] Wed, 29 February 2012 04:34 Go to previous messageGo to next message
Glyn Normington is currently offline Glyn Normington
Messages: 1222
Registered: July 2009
Senior Member
I added a section to the tooling wiki page. Note that page points out that certain bugs still exist such as bug 371034. See bugzilla for a full list.
Re: Is Virgo Tooling snapshot compatible with VTS 3.0.*? [message #810100 is a reply to message #809795] Wed, 29 February 2012 12:41 Go to previous messageGo to next message
Miles Parker is currently offline Miles Parker
Messages: 1338
Registered: July 2009
Senior Member
I think we should rename these -- it is pretty confusing!

As far as stability goes, I think the current release works reasonably well against 3.0.2, but there are some notable deficiencies. Here are the current top level bugs:

368782: Plugin packaging issues bug train
https://bugs.eclipse.org/bugs/show_bug.cgi?id=368782

368783: Server management UI bug train
https://bugs.eclipse.org/bugs/show_bug.cgi?id=368783

368785: Server runtime support bug train
https://bugs.eclipse.org/bugs/show_bug.cgi?id=368785

368890: Release management and packaging bug train
https://bugs.eclipse.org/bugs/show_bug.cgi?id=368890

Note that we're in the middle of a major refactoring; resolving a lot of dependency issues and so on, so we haven't been able to be as responsive to immediate issues as we'd like and the nightlies are going to be a bit of a crap shoot as we pull old dependencies out. But that should be settling down.
Re: Is Virgo Tooling snapshot compatible with VTS 3.0.*? [message #810148 is a reply to message #810100] Wed, 29 February 2012 14:03 Go to previous messageGo to next message
Miles Parker is currently offline Miles Parker
Messages: 1338
Registered: July 2009
Senior Member
372893: Rationalize server names
https://bugs.eclipse.org/bugs/show_bug.cgi?id=372893
Re: Is Virgo Tooling snapshot compatible with VTS 3.0.*? [message #815829 is a reply to message #810148] Wed, 07 March 2012 23:42 Go to previous message
Miles Parker is currently offline Miles Parker
Messages: 1338
Registered: July 2009
Senior Member
Just made a bunch of changes that should really simplify the whole problem of support for different versions. Hopefully you won't even need to worry about this issue anymore. Just select Virgo Runtime as server, specify your install directory and you're good. This is on a branch right now, but as soon as we get it into master, feedback would be great. See bug below:

373453: Support a single configurable Virgo Runtime Environment
https://bugs.eclipse.org/bugs/show_bug.cgi?id=373453
Previous Topic:virgo + springDM + custom Application Context Listener
Next Topic:Getting plug-in dependencies from server repository
Goto Forum:
  


Current Time: Sat Aug 23 05:45:54 EDT 2014

Powered by FUDForum. Page generated in 0.01903 seconds